''******************************
''*  Altair Simulator v1.1     *
''*  (C) 2007 Michael Rychlik  *
''******************************

' v1.0 - 01 Oct 2007 - original version
' v1.1 - 09 Dec 2007 - No change just bump verion inline with other modules
' 
CON
  _clkmode = xtal1 + pll8x
  _xinfreq = 10_000_000

  '_CLKMODE = RCSLOW            'Set to internal slow clock
  '_CLKMODE = RCFAST            'Set to internal fast clock

VAR

  long ram_base     'Address (in prop RAM) of the altair memory
  long ios_ctl_addr 'Address (in prop RAM) of the altair I/O system contol interface

   
OBJ

  cpu : "altair_cpu"
  mem : "altair_mem"
  ios : "altair_ios"

PUB main : okay

  okay := mem.init
  ram_base := mem.get_base

  okay := ios.init
  ios_ctl_addr := ios.get_ctl_addr
  
  okay := cpu.start(@ram_base)
                         
  repeat


                                